summaryrefslogtreecommitdiffstats
path: root/current
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2015-11-19 09:02:11 +0000
committer Eric Hameleers <alien@slackware.com>2015-11-19 09:02:11 +0000
commit0adc9bbf4ab9b824b2c9873fef23b63814ea5cca (patch)
tree510689c5134654c91a025de6a303c1bff6af54b3 /current
parent9fa8d24c2c201081076626b69d1763148dd4aa81 (diff)
downloadmultilib-0adc9bbf4ab9b824b2c9873fef23b63814ea5cca.tar.gz
multilib-0adc9bbf4ab9b824b2c9873fef23b63814ea5cca.tar.xz
Add patches to fix the issue where an application (e.g. wine) compiles without errors but the resulting binary does not work correctly
Diffstat (limited to 'current')
-rwxr-xr-xcurrent/gcc/gcc-multilib.SlackBuild9
1 files changed, 5 insertions, 4 deletions
diff --git a/current/gcc/gcc-multilib.SlackBuild b/current/gcc/gcc-multilib.SlackBuild
index 57d52fa..c6fc369 100755
--- a/current/gcc/gcc-multilib.SlackBuild
+++ b/current/gcc/gcc-multilib.SlackBuild
@@ -54,7 +54,7 @@
PKGNAM=gcc
VERSION=${VERSION:-5.2.0}
-BUILD=${BUILD:-1alien}
+BUILD=${BUILD:-2alien}
# How many jobs to run in parallel:
NUMJOBS=" -j7 "
@@ -158,9 +158,10 @@ cat $CWD/slack-desc.gcc-go > $PKG8/install/slack-desc
cd $TMP
tar xvf $CWD/gcc-$VERSION.tar.?z*
-#( cd gcc-$VERSION
-# If we had any patches, we would apply them here, but we're .diff free now.
-#) || exit 1
+( cd gcc-$VERSION/gcc
+ zcat $CWD/gcc.66782.diff.gz | patch -p0 --verbose || exit 1
+ zcat $CWD/gcc.66838.diff.gz | patch -p0 --verbose || exit 1
+) || exit 1
# Copy ecj.jar into the TLD of the source. Needed for java compiler.
# This can be retrieved from ftp://sourceware.org/pub/java